Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.text
Interface TabExpander

All Known Implementing Classes:
  FieldView, ParagraphView, ParagraphView, PasswordView, PlainView, WrappedPlainView

    public interface TabExpander

Simple interface to allow for different types of implementations of tab expansion.

Method Summary
`float` | `nextTabStop(float x, int tabOffset)` Returns the next tab stop position given a reference position.

Method Detail

### nextTabStop

    float nextTabStop(float x,
                      int tabOffset)

  Returns the next tab stop position given a reference position. Values are expressed in points.

  Parameters:
    `x` - the position in points >= 0
    `tabOffset` - the position within the text stream that the tab occurred at >= 0.
  Returns:
    the next tab stop >= 0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.